;;;; cl-scopes/app/demo/etc/config

(in-package :scopes/app/demo)

(config:root :env-keys '(:docroot :address :port)
             :env-path (util:runtime-path ".env"))

(config:add :server 
  :class 'server:config
  :port "8800"
  :address "0.0.0.0"
  :routes 
    `((("api") server:message-handler)
      (() server:fileserver :doc-root 
            ,(util:absolute-dir (config:from-env :docroot "/var/www/html")))))
